/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.ShrimpTool;


/**
 * Interface for {@link ShrimpTool} objects that support navigating to objects and mouse modes.
 * @author Jeff Michaud, Chris Callendar
 */
public interface ViewTool extends ShrimpTool {

	public void navigateToObject(Object destObject);
	public String getMouseMode();

}
